summaryrefslogtreecommitdiffstats
path: root/tests/global/global.cfg
diff options
context:
space:
mode:
authorTor Arne Vestbø <tor.arne.vestbo@nokia.com>2012-01-23 12:54:38 +0100
committerQt by Nokia <qt-info@nokia.com>2012-01-23 14:47:10 +0100
commit9ce5a0671a50fd04677506b869801d4ce5345acb (patch)
treef6be644a490a4bb1d76490aabe972d8c80a51c73 /tests/global/global.cfg
parent1196b70cf25762f7c8c278d31ae814e776503bd3 (diff)
Set macosx-version-min in common Mac OS X mkspec instead of configure
When set in configure it would be written to .qmake.cache and would only apply when building Qt. We then had an override (that was also out of sync, version-wise) in the g++ mkspec, which would also apply to apps building agains Qt. This override did howerver not apply when using the Clang mkspec. We now move setting macosx-version-min to the common macx mkspec, shared by both g++ and Clang, which will apply both when building Qt and when building something against Qt. The latter since an application built against Qt will not deploy on versions of Mac OS earlier than 10.6 anyways, so we might as well always set the minimum-version. The modifications to the mkspecs will result in macosx-version-min being passed twice when compiling qmake, as configure writes its own makefiles and the mkspec parsing in configure has a bug where it will lazily evaluate qmake-variables instead of evaluating them inline. This is not a problem, and can be fixed in a later patch if seen fit. Change-Id: Ib29503ad00a9dc00e0a50b0dbd9459e89a20dfbd Reviewed-by: Zeno Albisser <zeno.albisser@nokia.com> Reviewed-by: Bradley T. Hughes <bradley.hughes@nokia.com>
Diffstat (limited to 'tests/global/global.cfg')
0 files changed, 0 insertions, 0 deletions